- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Updates the current DeviceSession to the fields described by the updateMask.
HTTP request
PATCH https://devicestreaming.googleapis.com/v1/{deviceSession.name=projects/*/deviceSessions/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
deviceSession.name |
Optional. Name of the DeviceSession, e.g. "projects/{projectId}/deviceSessions/{session_id}" It takes the form |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of DeviceSession.
Response body
If successful, the response body contains an instance of DeviceSession.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
devicestreaming.deviceSessions.update
For more information, see the IAM documentation.